maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Brian E. Fox" <bri...@reply.infinity.nu>
Subject RE: Best practices for java version?
Date Sun, 30 Mar 2008 19:34:22 GMT
I bet the dependency plugin and/or the enforcer could use ASM to inspect
all transitive dependencies to check the class version. (I'm just
guessing that ASM can do this).

-----Original Message-----
From: Graham Leggett [mailto:minfrin@sharp.fm] 
Sent: Sunday, March 30, 2008 2:47 PM
To: Maven Users List
Subject: Re: Best practices for java version?

delbd wrote:

> So, can we consider that a successfull build using a 1.4 JDK +
"source" 
> and "target" in build are enough to guarantee that none of the 
> transitive dependencies require jre 5 or higher?

No, but a test suite can.

Regards,
Graham
--

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message